### Class

# FoundryGtk MenuProxy

#### Description

    final class FoundryGtk.MenuProxy : Gio.MenuModel
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GMenuModel
- GObject

#### Constructors

###### foundry_menu_proxy_new

No description available.

#### Instance methods

###### foundry_menu_proxy_get_menu_id

No description available.

###### foundry_menu_proxy_set_menu_id

No description available.

##### Methods inherited from GMenuModel (8)

###### g_menu_model_get_item_attribute

Queries item at position `item_index` in `model` for the attribute specified by `attribute`.

###### g_menu_model_get_item_attribute_value

Queries the item at position `item_index` in `model` for the attribute specified by `attribute`.

###### g_menu_model_get_item_link

Queries the item at position `item_index` in `model` for the link specified by `link`.

###### g_menu_model_get_n_items

Query the number of items in `model`.

###### g_menu_model_is_mutable

Queries if `model` is mutable.

###### g_menu_model_items_changed

Requests emission of the `GMenuModel::items-changed` signal on `model`.

###### g_menu_model_iterate_item_attributes

Creates a `GMenuAttributeIter` to iterate over the attributes of the item at position `item_index` in `model`.

###### g_menu_model_iterate_item_links

Creates a `GMenuLinkIter` to iterate over the links of the item at position `item_index` in `model`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### FoundryGtk.MenuProxy:menu-id

No description available.

#### Signals

##### Signals inherited from GMenuModel (1)

###### GMenuModel::items-changed

Emitted when a change has occurred to the menu.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGtkMenuProxyClass {
      GMenuModelClass parent_class;

    }

No description available.

###### Class members

`parent_class: GMenuModelClass`

  No description available.